Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class OperationContextType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.OperationContextType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:22+01:00",
               comments="JAXB RI v2.2.11")
    public class OperationContextType

extends Object
implements Serializable

Java class for OperationContextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OperationContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="operation" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticLinkOperationType"/>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType" minOccurs="0"/>
             <element name="proof" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ProofType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OperationContextType()`

Method Summary
`RequestType` | `getAuthor()` Gets the value of the author property.
`TherapeuticLinkOperationType` | `getOperation()` Gets the value of the operation property.
`List<ProofType>` | `getProoves()` Gets the value of the prooves property.
`org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
`void` | `setAuthor(RequestType value)` Sets the value of the author property.
`void` | `setOperation(TherapeuticLinkOperationType value)` Sets the value of the operation property.
`void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationContextType

    public OperationContextType()

Method Detail

### getOperation

    public TherapeuticLinkOperationType getOperation()

  Gets the value of the operation property.

  Returns:
    possible object is `TherapeuticLinkOperationType`

### setOperation

    public void setOperation(TherapeuticLinkOperationType value)

  Sets the value of the operation property.

  Parameters:
    `value` - allowed object is `TherapeuticLinkOperationType`

### getRecorddatetime

    public org.joda.time.DateTime getRecorddatetime()

  Gets the value of the recorddatetime property.

  Returns:
    possible object is `String`

### setRecorddatetime

    public void setRecorddatetime(org.joda.time.DateTime value)

  Sets the value of the recorddatetime property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public RequestType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `RequestType`

### setAuthor

    public void setAuthor(RequestType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `RequestType`

### getProoves

    public List<ProofType> getProoves()

  Gets the value of the prooves property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prooves property.

  For example, to add a new item, do as follows:

          getProoves().add(newItem);

  Objects of the following type(s) are allowed in the list `ProofType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.